# TILMedia ClaRa

TILMedia ClaRa is a Modelica library implemented in C/C++.


## Description

The calculation of thermophysical properties with the TILMedia Modelica interface is divided in five groups:
<br>
</p><ul>
  <li> <b>Gas</b> - Ideal gases and mixtures with one component that can condense - gas vapor</li>
  <li> <b>Liquid</b> - Incompressible single phase fluids and mixtures</li>
  <li> <b>VLEFluid</b> - Real fluid or fluid mixture, which can be liquid, vaporous, super-critical or may have a vapor-liquid equilibrium (VLE)</li>
  <li> <b>Solid</b> - Single phase solids</li>
  <li> <b>SLEMedium</b> - can be solid, liquid or may have a solid-liquid equilibrium (SLE)</li>
</ul>


## Current release

[TILMedia ClaRa 1.8.0](https://github.com/TLK-Thermo/TILMediaClaRa/archive/refs/tags/1.8.0.zip)

[https://www.claralib.com/](https://www.claralib.com/#modal-download)


## License

Copyright © 2022 TLK-Thermo GmbH

[BSD-3-Clause License](LICENSE.txt)


## Commercial version and other interfaces

This is the Modelica interface of TILMedia (https://www.tlk-thermo.com/index.php/en/tilmedia-suite) used for the ClaRa Modelica library (https://www.claralib.com/). Some medium property models are freely accessible in this library, further models are only accessible with a purchased commercial license (such as many TLK implementations, Refprop, Coolprop and KBC Multiflash).

